Understand type 2 and type 3 filesystem identifiers.
[nfs-utils.git] / README
diff --git a/README b/README
index 0868bf0..3fa3a58 100644 (file)
--- a/README
+++ b/README
@@ -1,51 +1,65 @@
-This is the Linux NFS utility package version 0.2.
+This is version 1.0.1 of nfs-utils, the Linux NFS utility package.
 
-There is a Linux NFS mailing list at
 
-http://lists.sourceforge.net/mailman/listinfo/nfs/                                                               
-You can subscribe it and search the mailing list archive via a web
-browser.
+0. PROJECT RESOURCES
 
-The nfs-utils package is available from the CVS server:
+Home page:  http://sourceforge.net/projects/nfs/
 
-# cvs -z 3 -d:pserver:anonymous@cvs.nfs.sourceforge.net:/cvsroot/nfs co nfs-utils
+To use the 'gss' support you must have kerberos-5 development 
+libraries installed.
+Otherwise use  "--disable-gss"
 
-will get the latest version.
+To use nfsv4 support you need libevent and libnfsidmap development
+libraries.  They are available from 
+   http://www.monkey.org/~provos/libevent/
+   http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/
+Otherwise use --disable-nfsv4
 
-The files are
 
-ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-0.2.tar.gz
-ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-0.1.9.1-0.2.diff.gz
+1. COMPILING WITHOUT PACKAGE MANAGEMENT
 
-To compile, just do
+To compile without using a package management system, unpack the
+sources and run these commands:
 
-# ./configure
-# make
+    # ./configure
+    # make
 
-# make install
+To install binaries and documenation, run this command:
 
-will install the nfs-utils binaries. You have to install the NFS
-service scripts. There are 2 in etc/redhat provided for RedHat 6.x.
-They are tested on RedHat 6.2.
+    # make install
 
-On RedHat 6.2, you can use
+You will have to install the two NFS service scripts yourself.
+Service scripts for RedHat 6.x and 7.x are in etc/redhat.  They
+have been tested on RedHat 6.2 and 7.1.
 
-# rpm -ta nfs-utils-0.2.tar.gz
+
+2. COMPILING WITH RPM
+
+On RedHat 6.2 and 7.1, you can use
+
+    # rpm -ta nfs-utils-1.0.1.tar.gz
 
 to build the source and binary RPMs.
 
-util-linux 2.10m or above is required. But the following patches may
-also be needed:
 
-ftp://nfs.sourceforge.net/pub/nfs/util-linux-2.10f-mount-tcp.patch
-ftp://nfs.sourceforge.net/pub/nfs/util-linux-2.10m-mount-compat.patch
-ftp://nfs.sourceforge.net/pub/nfs/util-linux-2.10m-mount-nfsv3.patch
-ftp://nfs.sourceforge.net/pub/nfs/util-linux-2.10m-mount-rpc.patch
+3. COMPILING FOR DEBIAN
+
+The nfs-utils tree has an up-to-date debian directory, so the usual
+debian build scripts should work.  The simplest way to build binary
+debs, however, is simply to become root (or use fakeroot) and run:
+
+    # debian/rules binary
+
+
+4. REQUIRED VERSIONS OF OTHER TOOLS
+
+Proper NFS operation requires a 'mount' program from util-linux 2.11f
+or later.
 
 
-Thanks.
+Share And Enjoy!
 
+    -- the nfs-utils developers
+       <nfs@lists.sourceforge.net>
+       26 Dec 2001
 
-H.J.
-hjl@lucon.org
-09/01/2000